Bug 199727 - maintainer update of mail/mutt
Summary: maintainer update of mail/mutt
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks: 199115 199341
  Show dependency treegraph
 
Reported: 2015-04-27 06:49 UTC by Udo.Schweigert
Modified: 2015-05-18 18:20 UTC (History)
0 users

See Also:


Attachments
maintainer patch (217.81 KB, patch)
2015-04-27 06:49 UTC, Udo.Schweigert
no flags Details | Diff
new maintainer patch (220.84 KB, text/plain)
2015-04-28 10:54 UTC, Udo.Schweigert
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Udo.Schweigert 2015-04-27 06:49:15 UTC
Created attachment 156033 [details]
maintainer patch

Maintainer update of mail/mutt:

   - Fix sidebar patch (fixes PR 199115, can be closed afterwards)
     This version introduces a new config variable "sidebar_shortpath" which 
     is set to yes by default to ensure backwards compatibility.

   - Fix pgp key selection (fixes PR 199341 [PR already closed])

   - Bump port revision because of major change to sidebar patch.
Comment 1 Udo.Schweigert 2015-04-28 10:53:51 UTC
Sorry, forgot one issue when compiling the patch. Here is the new description:

Maintainer update of mail/mutt:

   - Fix sidebar patch (fixes PR 199115, can be closed afterwards)
     This version introduces a new config variable "sidebar_shortpath" which 
     is set to yes by default to ensure backwards compatibility.

   - Fix an issue with recent gpg (and gpgme) versions (GnuPG version 2.1 
     stops exporting the GPG_AGENT_INFO environment variable, so mutt can't 
     check for the presence of that to ensure the agent is running).

   - Fix pgp key selection (fixes PR 199341 [PR already closed])

   - Bump port revision because of major change to sidebar patch and gpg 
     handling.
Comment 2 Udo.Schweigert 2015-04-28 10:54:49 UTC
Created attachment 156068 [details]
new maintainer patch
Comment 3 Jan Beich freebsd_committer 2015-05-16 01:19:59 UTC
Thanks. Committed.
Comment 4 commit-hook freebsd_committer 2015-05-16 01:20:09 UTC
A commit references this bug:

Author: jbeich
Date: Sat May 16 01:19:13 UTC 2015
New revision: 386495
URL: https://svnweb.freebsd.org/changeset/ports/386495

Log:
  mail/mutt: update patches

  - Fix sidebar patch [1]. This version introduces a new config variable
    "sidebar_shortpath" which is set to yes by default to ensure
    backwards compatibility.

  - Fix an issue with recent gpg (and gpgme) versions (GnuPG version 2.1
    stops exporting the GPG_AGENT_INFO environment variable, so mutt can't
    check for the presence of that to ensure the agent is running).

  - Fix pgp key selection [2].

  - Bump port revision because of major change to sidebar patch and gpg
    handling.

  PR:		199727
  PR:		199115 [1]
  PR:		199341 [2]
  Submitted by:	Udo.Schweigert@siemens.com (maintainer)
  MFH:		2015Q2

Changes:
  head/chinese/mutt/Makefile
  head/mail/mutt/Makefile
  head/mail/mutt/files/extra-patch-sidebar
  head/mail/mutt/files/extra-patch-sidebar-nntp
  head/mail/mutt/files/extra-patch-sidebar-refresh
  head/mail/mutt/files/patch-gpg_agent_info
  head/mail/mutt/files/patch-pgpkey.c
Comment 5 commit-hook freebsd_committer 2015-05-18 18:20:27 UTC
A commit references this bug:

Author: jbeich
Date: Mon May 18 18:20:23 UTC 2015
New revision: 386696
URL: https://svnweb.freebsd.org/changeset/ports/386696

Log:
  MFH: r386495

  mail/mutt: update patches

  - Fix sidebar patch [1]. This version introduces a new config variable
    "sidebar_shortpath" which is set to yes by default to ensure
    backwards compatibility.

  - Fix an issue with recent gpg (and gpgme) versions (GnuPG version 2.1
    stops exporting the GPG_AGENT_INFO environment variable, so mutt can't
    check for the presence of that to ensure the agent is running).

  - Fix pgp key selection [2].

  - Bump port revision because of major change to sidebar patch and gpg
    handling.

  PR:		199727
  PR:		199115 [1]
  PR:		199341 [2]
  Submitted by:	Udo.Schweigert@siemens.com (maintainer)
  Approved by:	ports-secteam (delphij)

Changes:
_U  branches/2015Q2/
  branches/2015Q2/chinese/mutt/Makefile
  branches/2015Q2/mail/mutt/Makefile
  branches/2015Q2/mail/mutt/files/extra-patch-sidebar
  branches/2015Q2/mail/mutt/files/extra-patch-sidebar-nntp
  branches/2015Q2/mail/mutt/files/extra-patch-sidebar-refresh
  branches/2015Q2/mail/mutt/files/patch-gpg_agent_info
  branches/2015Q2/mail/mutt/files/patch-pgpkey.c